MyVREsServiceImpl (My VREs Portlet 2.0.0-SNAPSHOT API)
Date: 2016-03-29

org.gcube.portlet.user.my_vres.server

## Class MyVREsServiceImpl

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
      - - com.google.gwt.user.server.rpc.RemoteServiceServlet
        - - org.gcube.portlet.user.my_vres.server.MyVREsServiceImpl

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.RemoteService, com.google.gwt.user.server.rpc.SerializationPolicyProvider, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, MyVREsService

      public class MyVREsServiceImpl
      extends com.google.gwt.user.server.rpc.RemoteServiceServlet
      implements MyVREsService

  The server side implementation of the RPC service.
  Version:
    1.0 Jun 2012
  Author:
    Massimiliano Assante - ISTI CNR
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CACHED_VOS`

    - ### Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `perThreadRequest, perThreadResponse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MyVREsServiceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static LinkedHashMap<String,ArrayList<VRE>>` | `getFakeVREs()` simply returns fake VREs for development purpose
    `LinkedHashMap<String,ArrayList<VRE>>` | `getUserVREs()` first method called by the UI
    `void` | `loadLayout(String scope, String URL)`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet

      `checkPermutationStrongName, doGetSerializationPolicy, getCodeServerPolicyUrl, getRequestModuleBasePath, getSerializationPolicy, init, loadPolicyFromCodeServer, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processCall, processPost, shouldCompressResponse`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CACHED_VOS

          public static final String CACHED_VOS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MyVREsServiceImpl

          public MyVREsServiceImpl()

  - ### Method Detail

    - #### getUserVREs

          public LinkedHashMap<String,ArrayList<VRE>> getUserVREs()

      first method called by the UI
      Specified by:
        `getUserVREs` in interface `MyVREsService`

    - #### loadLayout

          public void loadLayout(String scope,
                        String URL)

      Specified by:
        `loadLayout` in interface `MyVREsService`
      Parameters:
        `scope` -

    - #### getFakeVREs

          protected static LinkedHashMap<String,ArrayList<VRE>> getFakeVREs()

      simply returns fake VREs for development purpose
      Returns:

Copyright © 2016. All Rights Reserved.